!=======================================
! 2D cumulus model - kaminari
!  - subroutine ver_ptemp
! 
! Author    : TAKAHASHI Koko
! Date      : 2003/11/10
! Note      : $B>qMp>l$G$N2>290L(B
! 
!=======================================
subroutine ver_ptemp(i,k,im,km,ptemp,qv,vptemp)

  implicit none

  integer, intent(in) :: i, k
  integer, intent(in) :: im, km

  real(8), intent(in) :: ptemp(0:im+1,0:km+1)
  real(8), intent(in) :: qv(0:im+1,0:km+1)

  real(8), intent(inout) :: vptemp(0:im+1,0:km+1)

  vptemp(i,k) = ptemp(i,k)*(1.0D0 + 0.61D0*qv(i,k))
  
end subroutine ver_ptemp

